LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Suse/Novell (http://www.linuxquestions.org/questions/suse-novell-60/)
-   -   Installing Squid on Suse 11.1 - Error on GCC (http://www.linuxquestions.org/questions/suse-novell-60/installing-squid-on-suse-11-1-error-on-gcc-738822/)

asifrajan 07-09-2009 02:36 AM

Installing Squid on Suse 11.1 - Error on GCC
 
Hello,

I am trying to install Squid on Suse 11.1, I have installed GCC and GCC-C++ but when I do ./configure I get following error

configure: error: C++ preprocessor "/lib/cpp" fails sanity check

please suggest some good solution

knudfl 07-09-2009 03:46 AM

Welcome to LQ.

I wonder, how you can have gcc , gcc-c++ and
that 'glibc-devel' or 'linux-kernel-headers'
could be missing ?
( usual reason for failed sanity check.)

I see no error with any version on Suse 11.1.
'squid-3.0.STABLE16-20090709' ?

Anyway, the "suggested good solution" is
# zypper se squid
and you get 3 choices : squid, squid3, squid-beta.

# zypper in squid
... will provide squid .
.....
Good luck !


All times are GMT -5. The time now is 05:37 AM.